routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/', function () {
    return view('getstarted');
});

Auth::routes();
Route::get('/home', 'HomeController@index')->name('home');
Route::get('/profile', 'ProfileController@index');
Route::get('/comment', 'CommentController@index');

Auth::routes();

/*
|--------------------------------------------------------------------------
| Post Routes
|--------------------------------------------------------------------------
|
*/
Route::name('post.')->group(function () {
    Route::get('/', 'PostController@index')->name('index');
    Route::get('/post/create', 'PostController@create')->name('create');
    Route::post('/post', 'PostController@store')->name('store');
    Route::get('/search', 'PostController@search')->name('search');

});

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>@yield('title')</title>
    <link rel="icon" href="{{ asset('imgs/kuyjalan.png') }}">
    

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.3.1/semantic.js"></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Raleway:300,400,600" rel="stylesheet" type="text/css">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.3.1/semantic.css">
    <style>
        .navbar.navbar-expand-md.navbar-light.navbar-laravel{
            background : #4831af;
            position : fixed;
            width : 100%;

            z-index:3;
        }
        .red.navbar-brand{
            color:white;
            font-family: 'Allerta Stencil';font-size: 20px;
            margin-left:3px;
        }
        .nav-link{
            color:white;
            font-family: 'Allerta Stencil';font-size: 20px;
        }
        
    </style>
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light navbar-laravel">
            <div class="container">
            <div class="ui small image">
                <a  href="{{ url('/') }}" ><img src="{{ asset('imgs/kuyjalan.png') }}" style="height: 50px;"></a>
            </div>
                <a class="red navbar-brand" href="{{ url('/') }}">
                    Kuy Jalan
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    @if(Auth::user())
                    <ul class="navbar-nav mr-auto">
                        <li><a href="{{ route('post.create') }}" class="nav-link">Tambah Postingan</a></li>
                    </ul>
                    @endif

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ml-auto">
                        <!-- Authentication Links -->
                        @guest
                            <li><a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a></li>
                            <li><a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a></li>
                        @else
                         <form action="{{ route('post.search')}}">
                        
                            <div class="ui search">
                                <div class="ui icon input">
                                <input class="prompt" name="keyword" placeholder="search.." type="text">
                                    <i class="search icon"></i>
                                </div>
                            <div class="results"></div>
                            </div>
                            </form>
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                
                                    {{ Auth::user()->name }} <span class="caret"></span>
                                </a>

                                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                                <a class="dropdown-item" href="{{ url('/profile') }}"
                                       >
                                        
                                       <i class="sign out alternate icon"></i> {{ __('profile') }}
                                    </a>
                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        
                                                     <i class="sign out alternate icon"></i> {{ __('Logout') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>

        <main class="py-4">
            @yield('content')
        </main>
    </div>
</body>
</html>

resources/views/layouts/master.blade.php
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>@yield('title')</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" media="screen" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.3.1/semantic.css" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.3.1/semantic.js"></script>
</head>
<style>

    .centered{
        left : 6cm;
    }
    .image{
        width : 40px;
        height : 40px;
        si
    }
    .ui.menu{
        background: #4545FF  ;
    }
    header{
        position: fixed;
        width: 100%;
    }
</style>
<body>

<header ><div class="ui menu">
  <a class="item">
    <i class="large home icon"></i>
  </a>
  
    <img src="facebook.png" class="ui centered image" alt="" >

  <div class="right menu">
    <div class="item">
      <div class="ui icon input">
        <input placeholder="Search..." type="text">
        <i class="search link icon"></i>
      </div>
    </div>
    <a class="ui item ">
    <i class="white large user circle icon"></i>
    </a>
  </div>
</div>
</header>
    <br>

    @yield('content');

    <br>

    <footer>
     &copy : Kuy Jalan
    </footer>
</body>
</html>